summaryrefslogtreecommitdiff
path: root/pcr/openrc-base/kmod-static-nodes.initd
diff options
context:
space:
mode:
authorOmar Vega Ramos <ovruni@gnu.org.pe>2017-09-25 19:29:59 -0500
committerOmar Vega Ramos <ovruni@gnu.org.pe>2017-09-25 19:29:59 -0500
commit790f01ce966851fc438db5b18583f5cc6a778a75 (patch)
tree1ec1d3d299d784dddb813b303929cbe008421742 /pcr/openrc-base/kmod-static-nodes.initd
parent7a401147f9017469bb69da3898708f2c6a40ae4f (diff)
downloadabslibre-790f01ce966851fc438db5b18583f5cc6a778a75.tar.gz
abslibre-790f01ce966851fc438db5b18583f5cc6a778a75.tar.bz2
abslibre-790f01ce966851fc438db5b18583f5cc6a778a75.zip
openrc-base-20170904-1.1: updating version
Diffstat (limited to 'pcr/openrc-base/kmod-static-nodes.initd')
-rw-r--r--pcr/openrc-base/kmod-static-nodes.initd19
1 files changed, 19 insertions, 0 deletions
diff --git a/pcr/openrc-base/kmod-static-nodes.initd b/pcr/openrc-base/kmod-static-nodes.initd
new file mode 100644
index 000000000..7a3f529dc
--- /dev/null
+++ b/pcr/openrc-base/kmod-static-nodes.initd
@@ -0,0 +1,19 @@
+#!/usr/bin/openrc-run
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+description="Create list of required static device nodes for the current kernel"
+
+depend() {
+ after dev-mount
+ before tmpfiles.dev dev
+ keyword -lxc -systemd-nspawn
+}
+
+start() {
+ ebegin "Creating list of required static device nodes for the current kernel"
+ checkpath -q -d /run/tmpfiles.d
+ kmod static-nodes --format=tmpfiles --output=/run/tmpfiles.d/kmod.conf
+ eend $?
+}